;      REV.  1.0    FEB 27, 1990
P0     DATA  080H  ;PORT 0
SP     DATA  081H  ;STACK POINTER
DPL    DATA  082H  ;DATA POINTER - LOW BYTE
DPH    DATA  083H  ;DATA POINTER - HIGH BYTE
PCON   DATA  087H  ;POWER CONTROL
TCON   DATA  088H  ;TIMER CONTROL
TMOD   DATA  089H  ;TIMER MODE
TL0    DATA  08AH  ;TIMER 0 - LOW BYTE
TL1    DATA  08BH  ;TIMER 1 - LOW BYTE
TH0    DATA  08CH  ;TIMER 0 - HIGH BYTE
TH1    DATA  08DH  ;TIMER 1 - HIGH BYTE
P1     DATA  090H  ;PORT 1
OSAT   DATA  098H  ;ON SCREEN ATTRIBUTES
OSDT   DATA  099H  ;ON SCREEN DATA
OSAD   DATA  09AH  ;ON SCREEN ADDRESS
P2     DATA  0A0H  ;PORT 2
IE     DATA  0A8H  ;INTERRUPT ENABLE
P3     DATA  0B0H  ;PORT 3
OSCON  DATA  0C0H  ;ON SCREEN DISPLAY CONTROL
OSMOD  DATA  0C1H  ;ON SCREEN DISPLAY MODE
OSORG  DATA  0C2H  ;ON SCREEN DISPLAY ORIGIN
PSW    DATA  0D0H  ;PROGRAM STATUS WORD
TDACL  DATA  0D2H  ;HI-RES PWM - LOW BYTE
TDACH  DATA  0D3H  ;HI-RES PWM - HIGH BYTE
PWM0   DATA  0D4H  ;LO-RES PWM #0
PWM1   DATA  0D5H  ;LO-RES PWM #1
PWM2   DATA  0D6H  ;LO-RES PWM #2
PWM3   DATA  0D7H  ;LO-RES PWM #3
SAD    DATA  0D8H  ;SOFTWARE A/D MUX & REF. CONTROL AND INPUT FROM COMPARATOR
PWM4   DATA  0DCH  ;LO-RES PWM #4
PWM5   DATA  0DDH  ;LO-RES PWM #5
PWM6   DATA  0DEH  ;LO-RES PWM #6
PWM7   DATA  0DFH  ;LO-RES PWM #7
ACC    DATA  0E0H  ;ACCUMULATOR
B      DATA  0F0H  ;MULTIPLICATION REGISTER
IT0    BIT   088H  ;TCON.0 - EXT. INTERRUPT 0 TYPE
IE0    BIT   089H  ;TCON.1 - EXT. INTERRUPT 0 EDGE FLAG
IE1    BIT   08BH  ;TCON.3 - EXT. INTERRUPT 1 EDGE FLAG
TR0    BIT   08CH  ;TCON.4 - TIMER 0 ON/OFF CONTROL
TF0    BIT   08DH  ;TCON.5 - TIMER 0 OVERFLOW FLAG
TR1    BIT   08EH  ;TCON.6 - TIMER 1 ON/OFF CONTROL
TF1    BIT   08FH  ;TCON.7 - TIMER 1 OVERFLOW FLAG
ADI0   BIT   090H  ;P1.0 - SOFTWARE A/D INPUT 0
ADI1   BIT   091H  ;P1.1 - SOFTWARE A/D INPUT 1
ADI2   BIT   092H  ;P1.2 - SOFTWARE A/D INPUT 2
OSAT0  BIT   098H  ;OSAT.0 - MULTIPLE FUNCTION DEPENDING ON OSDT
OSAT1  BIT   099H  ;OSAT.1 - MULTIPLE FUNCTION DEPENDING ON OSDT
OSAT2  BIT   09AH  ;OSAT.2 - MULTIPLE FUNCTION DEPENDING ON OSDT
OSAT3  BIT   09BH  ;OSAT.3                                    
OSAT4  BIT   09CH  ;OSAT.4 - SHOW BACKGROUND/SHOW FURTHER ROWS
OSAT5  BIT   09DH  ;OSAT.5                    
OSAT6  BIT   09EH  ;OSAT.6                    
OSAT7  BIT   09FH  ;OSAT.7                    
EX0    BIT   0A8H  ;IE.0 - EXTERNAL INTERRUPT 0 ENABLE
ET0    BIT   0A9H  ;IE.1 - TIMER 0 INTERRUPT ENABLE
EX1    BIT   0AAH  ;IE.2 - EXTERNAL INTERRUPT 1 ENABLE
ET1    BIT   0ABH  ;IE.3 - TIMER 1 INTERRUPT ENABLE
EVS    BIT   0ACH  ;IE.4 - VERTICAL SYNC INTERRUPT ENABLE
EA     BIT   0AFH  ;IE.7 - GLOBAL INTERRUPT ENABLE
INT1   BIT   0B1H  ;P3.1 - EXTERNAL INTERRUPT 1 INPUT
T0     BIT   0B2H  ;P3.2 - TIMER 0 COUNT INPUT
INT0   BIT   0B3H  ;P3.3 - EXTERNAL INTERRUPT 0 INPUT
BFE    BIT   0C0H  ;OSCON.0 - BF PIN ENABLE
DH     BIT   0C1H  ;OSCON.1 - DOUBLE HEIGHT
PO     BIT   0C2H  ;OSCON.2 - SHADOWING LOW/HIGH CONTROL
PC     BIT   0C3H  ;OSCON.3 - USE LOW/HIGH (0/1) ON VCTRL FOR COLOR ON VID2:0
PH     BIT   0C4H  ;OSCON.4 - HSYNC INPUT ACTIVE LOW/HIGH (0/1)
LV     BIT   0C5H  ;OSCON.5 - USE LEADING/TRAILING (0/1) EDGE OF VSYNC
PV     BIT   0C6H  ;OSCON.6 - VSYNC ACTIVE HIGH/LOW (0/1)
IV     BIT   0C7H  ;OSCON.7 - VSYNC INTERRUPT FLAG
P      BIT   0D0H  ;PSW.0 - ACCUMULATOR PARITY FLAG
OV     BIT   0D2H  ;PSW.2 - OVERFLOW FLAG
RS0    BIT   0D3H  ;PSW.3 - REGISTER BANK SELECT 0
RS1    BIT   0D4H  ;PSW.4 - REGISTER BANK SELECT 1
F0     BIT   0D5H  ;PSW.5 - FLAG 0
AC     BIT   0D6H  ;PSW.6 - AUXILIARY CARRY FLAG
CY     BIT   0D7H  ;PSW.7 - CARRY FLAG
