;      REV.  1.0    MAY 23, 1984
P0     DATA  080H  ;PORT 0
SP     DATA  081H  ;STACK POINTER
DPL    DATA  082H  ;DATA POINTER - LOW BYTE
DPH    DATA  083H  ;DATA POINTER - HIGH BYTE
TCON   DATA  088H  ;TIMER CONTROL
TMOD   DATA  089H  ;TIMER MODE
TL0    DATA  08AH  ;TIMER 0 - LOW BYTE
TL1    DATA  08BH  ;TIMER 1 - LOW BYTE
TH0    DATA  08CH  ;TIMER 0 - HIGH BYTE
TH1    DATA  08DH  ;TIMER 1 - HIGH BYTE
P1     DATA  090H  ;PORT 1
P2     DATA  0A0H  ;PORT 2
IE     DATA  0A8H  ;INTERRUPT ENABLE
P3     DATA  0B0H  ;PORT 3
IP     DATA  0B8H  ;INTERRUPT PRIORITY
STS    DATA  0C8H  ;SIU STATUS REGISTER
SMD    DATA  0C9H  ;SERIAL MODE
RCB    DATA  0CAH  ;RECEIVE CONTROL BYTE
RBL    DATA  0CBH  ;RECEIVE BUFFER LENGTH
RBS    DATA  0CCH  ;RECEIVE BUFFER START
RFL    DATA  0CDH  ;RECEIVE FIELD LENGTH
STAD   DATA  0CEH  ;STATION ADDRESS
DMA_CNT DATA 0CFH  ;DMA COUNT
PSW    DATA  0D0H  ;PROGRAM STATUS WORD
NSNR   DATA  0D8H  ;SEND COUNT/RECEIVE COUNT
SIUST  DATA  0D9H  ;SIU STATE COUNTER
TCB    DATA  0DAH  ;TRANSMIT CONTROL BYTE
TBL    DATA  0DBH  ;TRANSMIT BUFFER LENGTH
TBS    DATA  0DCH  ;TRANSMIT BUFFER START
FIFO0  DATA  0DDH  ;THREE BYTE FIFO
FIFO1  DATA  0DEH
FIFO2  DATA  0DFH
ACC    DATA  0E0H  ;ACCUMULATOR
B      DATA  0F0H  ;MULTIPLICATION REGISTER
IT0    BIT   088H  ;TCON.0 - EXT. INTERRUPT 0 TYPE
IE0    BIT   089H  ;TCON.1 - EXT. INTERRUPT 0 EDGE FLAG
IT1    BIT   08AH  ;TCON.2 - EXT. INTERRUPT 1 TYPE
IE1    BIT   08BH  ;TCON.3 - EXT. INTERRUPT 1 EDGE FLAG
TR0    BIT   08CH  ;TCON.4 - TIMER 0 ON/OFF CONTROL
TF0    BIT   08DH  ;TCON.5 - TIMER 0 OVERFLOW FLAG
TR1    BIT   08EH  ;TCON.6 - TIMER 1 ON/OFF CONTROL
TF1    BIT   08FH  ;TCON.7 - TIMER 1 OVERFLOW FLAG
EX0    BIT   0A8H  ;IE.0 - EXTERNAL INTERRUPT 0 ENABLE
ET0    BIT   0A9H  ;IE.1 - TIMER 0 INTERRUPT ENABLE
EX1    BIT   0AAH  ;IE.2 - EXTERNAL INTERRUPT 1 ENABLE
ET1    BIT   0ABH  ;IE.3 - TIMER 1 INTERRUPT ENABLE
ES     BIT   0ACH  ;IE.4 - SIU INTERRUPT ENABLE
EA     BIT   0AFH  ;IE.7 - GLOBAL INTERRUPT ENABLE
RXD    BIT   0B0H  ;P3.0 - SERIAL PORT RECEIVE INPUT
TXD    BIT   0B1H  ;P3.1 - SERIAL PORT TRANSMIT OUTPUT
INT0   BIT   0B2H  ;P3.2 - EXTERNAL INTERRUPT 0 INPUT
INT1   BIT   0B3H  ;P3.3 - EXTERNAL INTERRUPT 1 INPUT
T0     BIT   0B4H  ;P3.4 - TIMER 0 COUNT INPUT
T1     BIT   0B5H  ;P3.5 - TIMER 1 COUNT INPUT
WR     BIT   0B6H  ;P3.6 - WRITE CONTROL FOR EXT. MEMORY
RD     BIT   0B7H  ;P3.7 - READ CONTROL FOR EXT. MEMORY
PX0    BIT   0B8H  ;IP.0 - EXTERNAL INTERRUPT 0 PRIORITY
PT0    BIT   0B9H  ;IP.1 - TIMER 0 PRIORITY
PX1    BIT   0BAH  ;IP.2 - EXTERNAL INTERRUPT 1 PRIORITY
PT1    BIT   0BBH  ;IP.3 - TIMER 1 PRIORITY
PS     BIT   0BCH  ;IP.4 - SERIAL PORT PRIORITY
RBP    BIT   0C8H  ;STS.0 - RECEIVE BUFFER PROTECT
AM     BIT   0C9H  ;STS.1 - AUTO/ADDRESSED MODE SELECT
OPB    BIT   0CAH  ;STS.2 - OPITIONAL POLL BIT
BOV    BIT   0CBH  ;STS.3 - RECEIVE BUFFER OVERRUN
SI     BIT   0CCH  ;STS.4 - SIU INTERRUPT FLAG
RTS    BIT   0CDH  ;STS.5 - REQUEST TO SEND
RBE    BIT   0CEH  ;STS.6 - RECEIVE BUFFER EMPTY
TBF    BIT   0CFH  ;STS.7 - TRANSMIT BUFFER FULL
P      BIT   0D0H  ;PSW.0 - ACCUMULATOR PARITY FLAG
OV     BIT   0D2H  ;PSW.2 - OVERFLOW FLAG
RS0    BIT   0D3H  ;PSW.3 - REGISTER BANK SELECT 0
RS1    BIT   0D4H  ;PSW.4 - REGISTER BANK SELECT 1
F0     BIT   0D5H  ;PSW.5 - FLAG 0
AC     BIT   0D6H  ;PSW.6 - AUXILIARY CARRY FLAG
CY     BIT   0D7H  ;PSW.7 - CARRY FLAG
SER    BIT   0D8H  ;NSNR.0 - RECEIVE SEQUENCE ERROR
NR0    BIT   0D9H  ;NSNR.1 - RECEIVE SEQUENCE COUNTER-BIT 0
NR1    BIT   0DAH  ;NSNR.2 - RECEIVE SEQUENCE COUNTER-BIT 1
NR2    BIT   0DBH  ;NSNR.3 - RECEIVE SEQUENCE COUNTER-BIT 2
SES    BIT   0DCH  ;NSNR.4 - SEND SEQUENCE ERROR
NS0    BIT   0DDH  ;NSNR.5 - SEND SEQUENCE COUNTER-BIT 0
NS1    BIT   0DEH  ;NSNR.6 - SEND SEQUENCE COUNTER-BIT 1
NS2    BIT   0DFH  ;NSNR.7 - SEND SEQUENCE COUNTER-BIT 2
