;      80515 MOD FILE
;      REV.  1.0    JAN 6, 1986
P0     DATA  080H  ;PORT 0
SP     DATA  081H  ;STACK POINTER
DPL    DATA  082H  ;DATA POINTER - LOW BYTE
DPH    DATA  083H  ;DATA POINTER - HIGH BYTE
PCON   DATA  087H  ;POWER CONTROL
TCON   DATA  088H  ;TIMER CONTROL
TMOD   DATA  089H  ;TIMER MODE
TL0    DATA  08AH  ;TIMER 0 - LOW BYTE
TL1    DATA  08BH  ;TIMER 1 - LOW BYTE
TH0    DATA  08CH  ;TIMER 0 - HIGH BYTE
TH1    DATA  08DH  ;TIMER 1 - HIGH BYTE
P1     DATA  090H  ;PORT 1
SCON   DATA  098H  ;SERIAL PORT CONTROL
SBUF   DATA  099H  ;SERIAL PORT BUFFER
P2     DATA  0A0H  ;PORT 2
IEN0   DATA  0A8H  ;INTERRUPT ENABLE REGISTER 0
IP0    DATA  0A9H  ;INTERRUPT PRIORITY REGISTER 0
P3     DATA  0B0H  ;PORT 3
IEN1   DATA  0B8H  ;INTERRUPT ENABLE REGISTER 1
IP1    DATA  0B9H  ;INTERRUPT PRIORITY REGISTER 1
IRCON  DATA  0C0H  ;INTERRUPT REQUEST CONTROL 
CCEN   DATA  0C1H  ;COMPARE/CAPTURE ENABLE 
CCL1   DATA  0C2H  ;COMPARE/CAPTURE REGISTER 1 - LOW BYTE
CCH1   DATA  0C3H  ;COMPARE/CAPTURE REGISTER 1 - HIGH BYTE
CCL2   DATA  0C4H  ;COMPARE/CAPTURE REGISTER 2 - LOW BYTE
CCH2   DATA  0C5H  ;COMPARE/CAPTURE REGISTER 2 - HIGH BYTE
CCL3   DATA  0C6H  ;COMPARE/CAPTURE REGISTER 3 - LOW BYTE
CCH3   DATA  0C7H  ;COMPARE/CAPTURE REGISTER 3 - HIGH BYTE
T2CON  DATA  0C8H  ;TIMER 2 CONTROL
CRCL   DATA  0CAH  ;COMPARE/RELOAD/CAPTURE - LOW BYTE
CRCH   DATA  0CBH  ;COMPARE/RELOAD/CAPTURE - HIGH BYTE
TL2    DATA  0CCH  ;TIMER 2 - LOW BYTE
TH2    DATA  0CDH  ;TIMER 2 - HIGH BYTE
PSW    DATA  0D0H  ;PROGRAM STATUS WORD
ADCON  DATA  0D8H  ;A/D CONVERTER CONTROL
ADDAT  DATA  0D9H  ;A/D CONVERTER DATA
DAPR   DATA  0DAH  ;D/A CONVERTER PROGRAM REGISTER
ACC    DATA  0E0H  ;ACCUMULATOR
P4     DATA  0E8H  ;PORT 4
B      DATA  0F0H  ;MULTIPLICATION REGISTER
P5     DATA  0F8H  ;PORT 5
IT0    BIT   088H  ;TCON.0 - EXT. INTERRUPT 0 TYPE
IE0    BIT   089H  ;TCON.1 - EXT. INTERRUPT 0 EDGE FLAG
IT1    BIT   08AH  ;TCON.2 - EXT. INTERRUPT 1 TYPE
IE1    BIT   08BH  ;TCON.3 - EXT. INTERRUPT 1 EDGE FLAG
TR0    BIT   08CH  ;TCON.4 - TIMER 0 ON/OFF CONTROL
TF0    BIT   08DH  ;TCON.5 - TIMER 0 OVERFLOW FLAG
TR1    BIT   08EH  ;TCON.6 - TIMER 1 ON/OFF CONTROL
TF1    BIT   08FH  ;TCON.7 - TIMER 1 OVERFLOW FLAG
INT3   BIT   090H  ;P1.0 - EXTERNAL INTERRUPT 3/CAPTURE 0/COMPARE 0
INT4   BIT   091H  ;P1.1 - EXTERNAL INTERRUPT 4/CAPTURE 1/COMPARE 1
INT5   BIT   092H  ;P1.2 - EXTERNAL INTERRUPT 5/CAPTURE 2/COMPARE 2
INT6   BIT   093H  ;P1.3 - EXTERNAL INTERRUPT 6/CAPTURE 3/COMPARE 3
INT2   BIT   094H  ;P1.4 - EXTERNAL INTERRUPT 2
T2EX   BIT   095H  ;P1.5 - TIMER 2 EXTERNAL RELOAD TRIGGER INPUT
CLKOUT BIT   096H  ;P1.6 - SYSTEM CLOCK OUTPUT
T2     BIT   097H  ;P1.7 - TIMER 2 INPUT
RI     BIT   098H  ;SCON.0 - RECEIVE INTERRUPT FLAG
TI     BIT   099H  ;SCON.1 - TRANSMIT INTERRUPT FLAG
RB8    BIT   09AH  ;SCON.2 - RECEIVE BIT 8
TB8    BIT   09BH  ;SCON.3 - TRANSMIT BIT 8
REN    BIT   09CH  ;SCON.4 - RECEIVE ENABLE
SM2    BIT   09DH  ;SCON.5 - SERIAL MODE CONTROL BIT 2
SM1    BIT   09EH  ;SCON.6 - SERIAL MODE CONTROL BIT 1
SM0    BIT   09FH  ;SCON.7 - SERIAL MODE CONTROL BIT 0
EX0    BIT   0A8H  ;IEN0.0 - EXTERNAL INTERRUPT 0 ENABLE
ET0    BIT   0A9H  ;IEN0.1 - TIMER 0 INTERRUPT ENABLE
EX1    BIT   0AAH  ;IEN0.2 - EXTERNAL INTERRUPT 1 ENABLE
ET1    BIT   0ABH  ;IEN0.3 - TIMER 1 INTERRUPT ENABLE
ES     BIT   0ACH  ;IEN0.4 - SERIAL PORT INTERRUPT ENABLE
ET2    BIT   0ADH  ;IEN0.5 - TIMER 2 INTERRUPT ENABLE
WDT    BIT   0AEH  ;IEN0.6 - WATCHDOG TIMER RESET
EAL    BIT   0AFH  ;IEN0.7 - GLOBAL INTERRUPT ENABLE
RXD    BIT   0B0H  ;P3.0 - SERIAL PORT RECEIVE INPUT
TXD    BIT   0B1H  ;P3.1 - SERIAL PORT TRANSMIT OUTPUT
INT0   BIT   0B2H  ;P3.2 - EXTERNAL INTERRUPT 0 INPUT
INT1   BIT   0B3H  ;P3.3 - EXTERNAL INTERRUPT 1 INPUT
T0     BIT   0B4H  ;P3.4 - TIMER 0 COUNT INPUT
T1     BIT   0B5H  ;P3.5 - TIMER 1 COUNT INPUT
WR     BIT   0B6H  ;P3.6 - WRITE CONTROL FOR EXT. MEMORY
RD     BIT   0B7H  ;P3.7 - READ CONTROL FOR EXT. MEMORY
EADC   BIT   0B8H  ;IEN1.0 - A/D CONVERTER INTERRUPT ENABLE
EX2    BIT   0B9H  ;IEN1.1 - EXTERNAL INTERRUPT 2 ENABLE
EX3    BIT   0BAH  ;IEN1.2 - EXTERNAL INTERRUPT 3/CAPTURE/COMPARE INTERRUPT 0 ENABLE
EX4    BIT   0BBH  ;IEN1.3 - EXTERNAL INTERRUPT 4/CAPTURE/COMPARE INTERRUPT 1 ENABLE
EX5    BIT   0BCH  ;IEN1.4 - EXTERNAL INTERRUPT 5/CAPTURE/COMPARE INTERRUPT 2 ENABLE
EX6    BIT   0BDH  ;IEN1.5 - EXTERNAL INTERRUPT 6/CAPTURE/COMPARE INTERRUPT 3 ENABLE
SWDT   BIT   0BEH  ;IEN1.6 - WATCHDOG TIMER START
EXEN2  BIT   0BFH  ;IEN1.7 - TIMER 2 EXTERNAL RELOAD INTERRUPT ENABLE
IADC   BIT   0C0H  ;IRCON.0 - A/D CONVERTER INTERRUPT REQUEST
IEX2   BIT   0C1H  ;IRCON.1 - EXTERNAL INTERRUPT 2 EDGE FLAG
IEX3   BIT   0C2H  ;IRCON.2 - EXTERNAL INTERRUPT 3 EDGE FLAG
IEX4   BIT   0C3H  ;IRCON.3 - EXTERNAL INTERRUPT 4 EDGE FLAG
IEX5   BIT   0C4H  ;IRCON.4 - EXTERNAL INTERRUPT 5 EDGE FLAG
IEX6   BIT   0C5H  ;IRCON.5 - EXTERNAL INTERRUPT 6 EDGE FLAG
TF2    BIT   0C6H  ;IRCON.6 - TIMER 2 OVERFLOW FLAG
EXF2   BIT   0C7H  ;IRCON.7 - TIMER 2 EXTERNAL RELOAD FLAG
T2I0   BIT   0C8H  ;T2CON.0 - TIMER 2 INPUT SELECT BIT 0
T2I1   BIT   0C9H  ;T2CON.1 - TIMER 2 INPUT SELECT BIT 1
T2CM   BIT   0CAH  ;T2CON.2 - COMPARE MODE
T2R0   BIT   0CBH  ;T2CON.3 - TIMER 2 RELOAD MODE SELECT BIT 0
T2R1   BIT   0CCH  ;T2CON.4 - TIMER 2 RELOAD MODE SELECT BIT 1
I2FR   BIT   0CDH  ;T2CON.5 - EXTERNAL INTERRUPT 2 FALLING/RISING EDGE FLAG
I3FR   BIT   0CEH  ;T2CON.6 - EXTERNAL INTERRUPT 3 FALLING/RISING EDGE FLAG
T2PS   BIT   0CFH  ;T2CON.7 - PRESCALER SELECT BIT
P      BIT   0D0H  ;PSW.0 - ACCUMULATOR PARITY FLAG
F1     BIT   0D1H  ;PSW.1 - FLAG 1
OV     BIT   0D2H  ;PSW.2 - OVERFLOW FLAG
RS0    BIT   0D3H  ;PSW.3 - REGISTER BANK SELECT 0
RS1    BIT   0D4H  ;PSW.4 - REGISTER BANK SELECT 1
F0     BIT   0D5H  ;PSW.5 - FLAG 0
AC     BIT   0D6H  ;PSW.6 - AUXILIARY CARRY FLAG
CY     BIT   0D7H  ;PSW.7 - CARRY FLAG
MX0    BIT   0D8H  ;ADCON.0 - ANALOG INPUT CHANNEL SELECT BIT 0
MX1    BIT   0D9H  ;ADCON.1 - ANALOG INPUT CHANNEL SELECT BIT 1
MX2    BIT   0DAH  ;ADCON.2 - ANALOG INPUT CHANNEL SELECT BIT 2
ADM    BIT   0DBH  ;ADCON.3 - A/D CONVERSION MODE
BSY    BIT   0DCH  ;ADCON.4 - BUSY FLAG
CLK    BIT   0DEH  ;ADCON.6 - SYSTEM CLOCK ENABLE
BD     BIT   0DFH  ;ADCON.7 - BAUD RATE ENABLE
