;*H***************************************************************************
; NAME: at89c51rd2.inc           
;----------------------------------------------------------------------------
; PURPOSE: SFR Description file for AT89C51RD2 product on C51ASM assembler
;*****************************************************************************

$SAVE    
$NOLIST 
$NOMOD51

P0      DATA    80H
TCON	DATA	88H
;---  TCON Bits ---
TF1     BIT     8FH
TR1     BIT     8EH
TF0     BIT     8DH
TR0     BIT     8CH
IE1     BIT     8BH
IT1     BIT     8AH
IE0     BIT     89H
IT0     BIT     88H

P1      DATA    90H

SCON    DATA    98H
;--- SCON Bits ----
SM0     BIT     9FH
SM1     BIT     9EH
SM2     BIT     9DH
REN     BIT     9CH
TB8     BIT     9BH
RB8     BIT     9AH
TI      BIT     99H
RI      BIT     98H


P2      DATA    0A0H
IEN0    DATA    0A8H
;--- IEN0 Bits -----
EA   	BIT	0AFH
EC   	BIT	0AEH
ET2  	BIT	0ADH
ES  	BIT	0ACH
ET1 	BIT	0ABH
EX1  	BIT	0AAH
ET0 	BIT	0A9H
EX0	BIT	0A8H

P3      DATA    0B0H
;--- P3 Bits -------
RD      BIT     0B7H
WR      BIT     0B6H
T1      BIT     0B5H
T0      BIT     0B4H
INT1    BIT     0B3H
INT0    BIT     0B2H
TXD     BIT     0B1H
RXD     BIT     0B0H


P4      DATA    0C0H
P5      DATA    0E8H

IPL0	DATA	0B8H
;--- IPL0 Bits -----
PPCL   	BIT	0BEH
PT2L  	BIT	0BDH
PSL  	BIT	0BCH
PT1L 	BIT	0BBH
PX1L  	BIT	0BAH
PT0L 	BIT	0B9H
PX0L	BIT	0B8H


T2CON   DATA    0C8H
;--- T2CON bits ----
TF2     BIT     0CFH
EXF2    BIT     0CEH
RCLK    BIT     0CDH
TCLK    BIT     0CCH
EXEN2   BIT     0CBH
TR2     BIT     0CAH
C_T2    BIT     0C9H
CP_RL2  BIT     0C8H

PSW     DATA    0D0H
;--- PSW bits ------
CY      BIT     0D7H
AC      BIT     0D6H
F0      BIT     0D5H
RS1     BIT     0D4H
RS0     BIT     0D3H
OV      BIT     0D2H
P       BIT     0D0H

CCON	DATA	0D8H
;--- CCON bits -----
CF   	BIT     0DFH
CR   	BIT     0DEH
CCF4  	BIT     0DCH
CCF3  	BIT     0DBH
CCF2  	BIT     0DAH
CCF1  	BIT     0D9H
CCF0  	BIT     0D8H

ACC     DATA    0E0H
B       DATA    0F0H


SP      DATA    81H
DPL     DATA    82H
DPH     DATA    83H
PCON    DATA    87H


TMOD    DATA    89H
TL0     DATA    8AH
TL1     DATA    8BH
TH0     DATA    8CH
TH1     DATA    8DH
AUXR		DATA	08EH
CKCON0	DATA	08Fh




SBUF    DATA    99H
;-- Baud Rate generator
BRL  	DATA	09AH
BDRCON  DATA 	09BH
;--- Keyboard
KBLS	DATA	09CH
KBE	DATA	09DH
KBF	DATA	09EH




;--- Watchdog timer
WDTRST	DATA	0A6H
WDTPRG 	DATA	0A7H 

SADDR	DATA	0A9H
CKCON1	DATA	0AFH


IEN1	DATA	0B1H
IPL1	DATA	0B2H
IPH1	DATA	0B3H
IPH0	DATA	0B7H


SADEN	DATA	0B9H


T2MOD	DATA    0C9h
RCAP2L  DATA    0CAH
RCAP2H  DATA    0CBH
TL2     DATA    0CCH
TH2     DATA    0CDH
	
CMOD	DATA	0D9H
CCAPM0	DATA	0DAH
CCAPM1	DATA	0DBH
CCAPM2	DATA	0DCH
CCAPM3	DATA	0DDH
CCAPM4	DATA	0DEH


CH	DATA	0F9H
CCAP0H	DATA	0FAH
CCAP1H	DATA	0FBH
CCAP2H	DATA	0FCH
CCAP3H	DATA	0FDH
CCAP4H	DATA	0FEH

CL	DATA	0E9H
CCAP0L	DATA	0EAH
CCAP1L	DATA	0EBH
CCAP2L	DATA	0ECH
CCAP3L	DATA	0EDH
CCAP4L	DATA	0EEH

; SPI 
SPCON    DATA    0C3H
SPSTA    DATA    0C4H
SPDAT    DATA    0C5H


; TWI
PI2	DATA    0F8h
SSCON	DATA	093H
SSCS	DATA	094H
SSDAT	DATA	095H
SSADR	DATA	096H
PI2_O	BIT	0F8H
PI2_1	BIT	0F9H

; Clock Control
OSCCON	DATA	086H
CKSEL	DATA	085H
CKRL	DATA	097H

;MISC
AUXR1	DATA	0A2H

; Flash control
FCON   	DATA    0D1H

$RESTORE